IntegrationsSlack

Add an emoji reaction as the connected Slack user to one message.

POST
/integrations/connections/{connection_id}/providers/slack/reactions/add

Add an emoji reaction as the connected Slack user to one message.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/slack/reactions/add" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "channel_id": "CAAAAAAAA",    "message_ts": "0000000000.000000",    "reaction": "example"  }'
{  "invocation_id": "123e4567-e89b-42d3-a456-426614174000",  "status": "ACTIVE",  "job_id": "example"}